Skip to main content
GET
/
api
/
v1
/
trades
/
by-mint
/
{mint_address}
Get list of trades for a market by mint address
curl --request GET \
  --url https://dev-prediction-markets-api.dflow.net/api/v1/trades/by-mint/{mint_address} \
  --header 'x-api-key: <api-key>'
{
  "trades": [
    {
      "count": 1,
      "countFp": "<string>",
      "createdTime": 1,
      "noPrice": 1,
      "noPriceDollars": "<string>",
      "price": 1,
      "takerSide": "<string>",
      "ticker": "<string>",
      "tradeId": "<string>",
      "yesPrice": 1,
      "yesPriceDollars": "<string>"
    }
  ],
  "cursor": "<string>"
}

Need Help?

https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_discord.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=0ea834bc8a9fa3fe161ba181329effda

Join Our Discord

Connect with other developers, get help, and stay updated on the latest DFlow developments.
https://mintcdn.com/dflow/a8Yx7HBusmKl4Z7w/images/meteor-icons_telegram.svg?fit=max&auto=format&n=a8Yx7HBusmKl4Z7w&q=85&s=e928c5dd68311ff0d419936a35c86eed

Dev Notifications

Join the DFlow Dev Notifications Telegram group to stay in the loop on new features and other announcements.

Authorizations

x-api-key
string
header
required

API key for authentication. Contact hello@dflow.net to obtain an API key.

Path Parameters

mint_address
string
required

Mint address (ledger or outcome mint)

Query Parameters

limit
integer<int32>

Maximum number of trades to return (1-1000, default 100)

Required range: x >= 0
cursor
string

Pagination cursor (trade ID) to start from

minTs
integer<int64>

Filter trades after this Unix timestamp

Required range: x >= 0
maxTs
integer<int64>

Filter trades before this Unix timestamp

Required range: x >= 0

Response

List of trades

trades
object[]
required
cursor
string | null